LibreOffice LibreOffice 6.0 SDK C/C++ API Reference

Classes | Public Member Functions | List of all members
cppu::WeakAggComponentImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 > Class Template Reference

Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent. More...

`#include <compbase6.hxx>`

Inheritance diagram for cppu::WeakAggComponentImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >:

## Public Member Functions
| WeakAggComponentImplHelper6 (::osl::Mutex &rMutex) throw ()
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
virtual css::uno::Any | queryAggregation (css::uno::Type const &rType) SAL_OVERRIDE
virtual void | acquire () SAL_OVERRIDE throw ()
virtual void | release () SAL_OVERRIDE throw ()
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE

## Detailed Description

### template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6>
class cppu::WeakAggComponentImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >

Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent.

Upon disposing objects of this class, sub-classes receive a disposing() call. Objects of this class can be held weakly, i.e. by a css::uno::WeakReference. Object of this class can be aggregated, i.e. incoming queryInterface() calls are delegated.

Attention
  The life-cycle of the passed mutex reference has to be longer than objects of this class.

Derive:
  Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

Deprecated:

## Constructor & Destructor Documentation

## ◆ WeakAggComponentImplHelper6()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

cppu::WeakAggComponentImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::WeakAggComponentImplHelper6 | ( | ::osl::Mutex & | rMutex | ) |
throw | ( |
| ) |  |
| inline

## Member Function Documentation

## ◆ acquire()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

virtual void cppu::WeakAggComponentImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::acquire | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

## ◆ getImplementationId()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

virtual css::uno::Sequence< sal_Int8 > cppu::WeakAggComponentImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::getImplementationId | ( |  | ) |
| inline virtual

## ◆ getTypes()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

virtual css::uno::Sequence< css::uno::Type > cppu::WeakAggComponentImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::getTypes | ( |  | ) |
| inline virtual

## ◆ queryAggregation()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

virtual css::uno::Any cppu::WeakAggComponentImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::queryAggregation | ( | css::uno::Type const & | rType | ) |
| inline virtual

## ◆ queryInterface()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

virtual css::uno::Any cppu::WeakAggComponentImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inline virtual

## ◆ release()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

virtual void cppu::WeakAggComponentImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::release | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

The documentation for this class was generated from the following file:

- cppuhelper/compbase6.hxx